## org.apache.batik.parser
Class AngleParser

    java.lang.Object
      org.apache.batik.parser.AbstractParser
          org.apache.batik.parser.NumberParser
              org.apache.batik.parser.AngleParser

All Implemented Interfaces:
  Localizable, Parser

public class AngleParser
extends NumberParser

This class implements an event-based parser for the SVG angle values.

Field Summary
`protected AngleHandler` `angleHandler` The angle handler used to report parse events.

Fields inherited from class org.apache.batik.parser.AbstractParser
`BUNDLE_CLASSNAME, current, errorHandler, localizableSupport, reader`

Constructor Summary
`AngleParser()`

Method Summary
`protected void` `doParse()` Parses the current reader representing an angle.
`AngleHandler` `getAngleHandler()` Returns the angle handler in use.
`void` `setAngleHandler(AngleHandler handler)` Allows an application to register an angle handler.

Methods inherited from class org.apache.batik.parser.NumberParser
`buildFloat, parseFloat`

Methods inherited from class org.apache.batik.parser.AbstractParser
`createErrorMessage, formatMessage, getBundleClassName, getCurrent, getLocale, parse, parse, parse, reportError, setErrorHandler, setLocale, skipCommaSpaces, skipSpaces`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### angleHandler

    protected AngleHandler angleHandler

  The angle handler used to report parse events.

Constructor Detail

### AngleParser

    public AngleParser()

Method Detail

### setAngleHandler

    public void setAngleHandler(AngleHandler handler)

  Allows an application to register an angle handler.

  If the application does not register a handler, all events reported by the parser will be silently ignored.

  Applications may register a new or different handler in the middle of a parse, and the parser must begin using the new handler immediately.

  Parameters:
    `handler` - The transform list handler.

### getAngleHandler

    public AngleHandler getAngleHandler()

  Returns the angle handler in use.

### doParse

    protected void doParse()
                    throws ParseException,
                           java.io.IOException

  Parses the current reader representing an angle.

  Specified by:
    `doParse` in class `AbstractParser`
  Throws:
    `ParseException`
    `java.io.IOException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.